//
// Created by arjun-flowylabs on 1/13/2026.
//

#ifndef LLINK_VERTICALLABEL_H
#define LLINK_VERTICALLABEL_H

#include <QLabel>

class VerticalLabel : public QLabel
{
  public:
    explicit VerticalLabel(const QString &text, QWidget *parent = nullptr);

    QSize sizeHint() const override;

    QSize minimumSizeHint() const override;

  protected:
    void paintEvent(QPaintEvent *) override;
};

#endif // LLINK_VERTICALLABEL_H
